Eclipse Platform Release 3.7

## org.eclipse.jface.text
Class DocumentRewriteSessionType

    java.lang.Object
      org.eclipse.jface.text.DocumentRewriteSessionType

    public class DocumentRewriteSessionType

extends Object

A document rewrite session type.

Allowed values are:

- `UNRESTRICTED`
- `UNRESTRICTED_SMALL` (since 3.3)
- `SEQUENTIAL`
- `STRICTLY_SEQUENTIAL`

Since:
  3.1
See Also:
  `IDocument`, `IDocumentExtension4`, `IDocumentRewriteSessionListener`

Field Summary
`static DocumentRewriteSessionType` `SEQUENTIAL` A sequential rewrite session is a sequence of non-overlapping replace operations starting at an arbitrary document offset.
`static DocumentRewriteSessionType` `STRICTLY_SEQUENTIAL` A strictly sequential rewrite session is a sequence of non-overlapping replace operations from the start of the document to its end.
`static DocumentRewriteSessionType` `UNRESTRICTED` An unrestricted rewrite session is a sequence of unrestricted replace operations.
`static DocumentRewriteSessionType` `UNRESTRICTED_SMALL` An small unrestricted rewrite session is a short sequence of unrestricted replace operations.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNRESTRICTED

    public static final DocumentRewriteSessionType UNRESTRICTED

  An unrestricted rewrite session is a sequence of unrestricted replace operations. This session type should only be used for large operations that touch more than about fifty lines. Use `UNRESTRICTED_SMALL` for small operations.

### UNRESTRICTED_SMALL

    public static final DocumentRewriteSessionType UNRESTRICTED_SMALL

  An small unrestricted rewrite session is a short sequence of unrestricted replace operations. This should be used for changes that touch less than about fifty lines.

  Since:
    3.3

### SEQUENTIAL

    public static final DocumentRewriteSessionType SEQUENTIAL

  A sequential rewrite session is a sequence of non-overlapping replace operations starting at an arbitrary document offset.

### STRICTLY_SEQUENTIAL

    public static final DocumentRewriteSessionType STRICTLY_SEQUENTIAL

  A strictly sequential rewrite session is a sequence of non-overlapping replace operations from the start of the document to its end.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.